/* (C) 2022 YiRing, Inc. */
package com.yiring.app.domain.key;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.yiring.auth.domain.user.User;
import com.yiring.common.domain.BasicEntity;
import java.io.Serial;
import java.io.Serializable;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import lombok.*;
import lombok.experimental.FieldDefaults;
import lombok.experimental.FieldNameConstants;
import org.hibernate.annotations.Comment;

/**
 * 报警规则推送记录
 *
 * @author LJ-2204
 * @date 2022/5/12
 */

@Getter
@Setter
@ToString
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldNameConstants
@FieldDefaults(level = AccessLevel.PRIVATE)
@Entity
@Table(name = "BS_KEY_ALARM_LOG")
@Comment("报警规则推送记录")
public class KeyAlarmLog extends BasicEntity implements Serializable {

    @Serial
    private static final long serialVersionUID = 5837910859908195485L;

    @ManyToOne
    @JoinColumn(name = "alarm_id")
    @JsonIgnore
    @Comment("按键报警")
    KeyAlarm keyAlarm;

    @Comment("通知方式")
    String types;

    @Comment("接收状态")
    Boolean status;

    @ManyToOne
    @JoinColumn(name = "leader_id")
    @JsonIgnore
    @Comment("负责人")
    User user;
}
