/* (C) 2022 YiRing, Inc. */
package com.yiring.app.service.perstatistics;

import com.yiring.app.param.perstatistics.PersonnelStatisticsQueryParam;
import com.yiring.app.vo.perstatistics.PersonnelStatisticsVo;
import com.yiring.common.core.Result;
import com.yiring.common.param.PageParam;
import com.yiring.common.vo.PageVo;
import javax.servlet.http.HttpServletResponse;

/**
 * @author tzl
 * @version 1.0
 * @description:
 * @date 2022/5/15 9:27
 */
public interface PersonnelStatisticsService {
    /**
     * 分页查询
     * @author tzl
     * @date 2022/5/15 9:41
     * @param personnelStatisticsQueryParam PersonnelStatisticsQueryParam
     * @param pageParam  PageParam
     * @return com.yiring.common.core.Result<com.yiring.common.vo.PageVo<com.yiring.app.vo.perstatistics.PersonnelStatisticsVo>>
     */
    Result<PageVo<PersonnelStatisticsVo>> pagePerSta(
        PersonnelStatisticsQueryParam personnelStatisticsQueryParam,
        PageParam pageParam
    );

    /**
     * 导出人员统计
     * @author tzl
     * @date 2022/5/15 9:56
     * @param personnelStatisticsQueryParam PersonnelStatisticsQueryParam
     * @param response  HttpServletResponse
     */
    void export(PersonnelStatisticsQueryParam personnelStatisticsQueryParam, HttpServletResponse response);
}
