/* (C) 2022 YiRing, Inc. */
package com.yiring.app.vo.rehearsal;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.locationtech.jts.geom.Point;

/**
 * @author tml
 * @version 1.0
 * @date 2022/5/12 11:48
 */
@ApiModel("员工位置信息VO")
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class UserLocationVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 7996875376293325311L;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "员工id", example = "1")
    private Long userId;

    @ApiModelProperty(value = "员工姓名", example = "1")
    private String realmName;

    @ApiModelProperty(value = "员工坐标")
    private Point point;
}
